<?xml version="1.0" encoding="UTF-8"?>
<issues format="5" by="lint 4.1.0" client="cli" variant="all" version="4.1.0">

    <issue
        id="WrongConstant"
        message="Must be one of: ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_AUTO, ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_YES, ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_NO, ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_NO_HIDE_DESCENDANTS"
        errorLine1="                contentsShowing ? View.IMPORTANT_FOR_ACCESSIBILITY_AUTO"
        errorLine2="                                  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/autofill/CardUnmaskPrompt.java"
            line="568"
            column="35"/>
    </issue>

    <issue
        id="WrongConstant"
        message="Must be one of: ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_AUTO, ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_YES, ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_NO, ViewCompat.IMPORTANT_FOR_ACCESSIBILITY_NO_HIDE_DESCENDANTS"
        errorLine1="                                : View.IMPORTANT_FOR_ACCESSIBILITY_NO_HIDE_DESCENDANTS);"
        errorLine2="                                  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/autofill/CardUnmaskPrompt.java"
            line="569"
            column="35"/>
    </issue>

    <issue
        id="WrongConstant"
        message="Must be one of: ViewCompat.LAYOUT_DIRECTION_LTR, ViewCompat.LAYOUT_DIRECTION_RTL"
        errorLine1="        if (ViewCompat.getLayoutDirection(this) == LAYOUT_DIRECTION_LTR) {"
        errorLine2="                                                   ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/widget/android/java/src/org/chromium/components/browser_ui/widget/ClipDrawableProgressBar.java"
            line="137"
            column="52"/>
    </issue>

    <issue
        id="WrongConstant"
        message="Must be one of: ViewCompat.ACCESSIBILITY_LIVE_REGION_NONE, ViewCompat.ACCESSIBILITY_LIVE_REGION_POLITE, ViewCompat.ACCESSIBILITY_LIVE_REGION_ASSERTIVE"
        errorLine1="        ViewCompat.setAccessibilityLiveRegion(messageView, View.ACCESSIBILITY_LIVE_REGION_POLITE);"
        errorLine2="                                                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/infobar/DownloadProgressInfoBar.java"
            line="132"
            column="60"/>
    </issue>

    <issue
        id="WrongConstant"
        message="Must be one of: ViewCompat.LAYOUT_DIRECTION_LTR, ViewCompat.LAYOUT_DIRECTION_RTL"
        errorLine1="        if (ViewCompat.getLayoutDirection(this) == View.LAYOUT_DIRECTION_RTL) {"
        errorLine2="                                                   ~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/widget/android/java/src/org/chromium/components/browser_ui/widget/MaterialProgressBar.java"
            line="235"
            column="52"/>
    </issue>

    <issue
        id="UnsupportedChromeOsCameraSystemFeature"
        message="You should look for any camera available on the device, not just the rear"
        errorLine1="        boolean hasCamera = pm.hasSystemFeature(PackageManager.FEATURE_CAMERA);"
        errorLine2="                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../base/android/java/src/org/chromium/base/SysUtils.java"
            line="160"
            column="29"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            if (AccountUtils.GOOGLE_ACCOUNT_TYPE.equals(desc.type)) return true;"
        errorLine2="                             ~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/signin/core/browser/android/java/src/org/chromium/components/signin/AccountManagerFacadeImpl.java"
            line="188"
            column="30"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                IconProvider.getIcon(context, R.drawable.ic_permission_location_filled),"
        errorLine2="                             ~~~~~~~">
        <location
            file="../../chrome/android/features/keyboard_accessory/internal/java/src/org/chromium/chrome/browser/keyboard_accessory/sheet_tabs/AddressAccessorySheetCoordinator.java"
            line="39"
            column="30"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            if (mBypassIsReadyToPayServiceInTest) app.bypassIsReadyToPayServiceInTest();"
        errorLine2="                                                      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/payments/AndroidPaymentAppFinder.java"
            line="593"
            column="55"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            mHandler.onOptionsItemSelected(menuItem);"
        errorLine2="                     ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/ui/android/appmenu/internal/java/src/org/chromium/chrome/browser/ui/appmenu/AppMenu.java"
            line="365"
            column="22"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            return new EditorTextField(context,"
        errorLine2="                   ^">
        <location
            file="../../chrome/android/features/autofill_assistant/java/src/org/chromium/chrome/browser/autofill_assistant/user_data/additional_sections/AssistantTextInputSection.java"
            line="82"
            column="20"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            inputView.getEditText().setOnFocusChangeListener((unusedView, hasFocus) -> {"
        errorLine2="                      ~~~~~~~~~~~">
        <location
            file="../../chrome/android/features/autofill_assistant/java/src/org/chromium/chrome/browser/autofill_assistant/user_data/additional_sections/AssistantTextInputSection.java"
            line="144"
            column="23"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        View view = new EditorTextField(context,"
        errorLine2="                    ^">
        <location
            file="../../chrome/android/features/autofill_assistant/java/src/org/chromium/chrome/browser/autofill_assistant/generic_ui/AssistantViewFactory.java"
            line="145"
            column="21"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                    ((EditorTextField) view).getEditText(), text, delegate::onTextLinkClicked);"
        errorLine2="                                             ~~~~~~~~~~~">
        <location
            file="../../chrome/android/features/autofill_assistant/java/src/org/chromium/chrome/browser/autofill_assistant/generic_ui/AssistantViewInteractions.java"
            line="108"
            column="46"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                .getAuthenticatorNavigationInterceptor();"
        errorLine2="                 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/tab/AuthenticatorNavigationInterceptorTabHelper.java"
            line="19"
            column="18"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        return mAutocomplete.getCurrentNativeAutocompleteResult();"
        errorLine2="                             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/omnibox/suggestions/AutocompleteMediator.java"
            line="422"
            column="30"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                CombinedPolicyProvider.get().registerProvider(new AwPolicyProvider(appContext));"
        errorLine2="                                                              ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwBrowserProcess.java"
            line="145"
            column="63"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mViewAndroidDelegate ="
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwContents.java"
            line="1348"
            column="9"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                new AwViewAndroidDelegate(mContainerView, mContentsClient, mScrollOffsetManager);"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwContents.java"
            line="1349"
            column="17"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        LoadUrlParams params = LoadUrlParams.createLoadHttpPostParams(url, postData);"
        errorLine2="                                             ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwContents.java"
            line="1845"
            column="46"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mWebContents.evaluateJavaScriptForTests(script, jsCallback);"
        errorLine2="                     ~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwContents.java"
            line="2840"
            column="22"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        return FindAddress.findAddress(addr);"
        errorLine2="                           ~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwContentsStatics.java"
            line="172"
            column="28"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        return FindAddress.findAddress(addr);"
        errorLine2="                           ~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwContentsStatics.java"
            line="172"
            column="28"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="class AwWebContentsDelegateAdapter extends AwWebContentsDelegate {"
        errorLine2="                                           ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwWebContentsDelegateAdapter.java"
            line="34"
            column="44"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                if (mAwContents.getNavigationController() == null) return;"
        errorLine2="                                ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwWebContentsDelegateAdapter.java"
            line="186"
            column="33"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                        mAwContents.getNavigationController().continuePendingReload();"
        errorLine2="                                    ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwWebContentsDelegateAdapter.java"
            line="190"
            column="37"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                        mAwContents.getNavigationController().cancelPendingReload();"
        errorLine2="                                    ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwWebContentsDelegateAdapter.java"
            line="194"
            column="37"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                            0, new VisualStateCallback() {"
        errorLine2="                                   ~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/AwWebContentsObserver.java"
            line="144"
            column="36"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                        &amp;&amp; mOverlayPanelManager.get().getActivePanel() != null) {"
        errorLine2="                                                      ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ui/BottomSheetManager.java"
            line="236"
            column="55"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                    mOverlayPanelManager.get().getActivePanel().closePanel("
        errorLine2="                                               ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ui/BottomSheetManager.java"
            line="240"
            column="48"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        BrowserImplJni.get().addTab(mNativeBrowser, tab.getNativeTab());"
        errorLine2="                                                        ~~~~~~~~~~~~">
        <location
            file="../../weblayer/browser/java/org/chromium/weblayer_private/BrowserImpl.java"
            line="300"
            column="57"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        BrowserImplJni.get().setActiveTab(mNativeBrowser, tab != null ? tab.getNativeTab() : 0);"
        errorLine2="                                                                            ~~~~~~~~~~~~">
        <location
            file="../../weblayer/browser/java/org/chromium/weblayer_private/BrowserImpl.java"
            line="411"
            column="77"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mPartnerBrowserRefreshNeeded = !PartnerBrowserCustomizations.getInstance().isInitialized();"
        errorLine2="                                                                                   ~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/app/ChromeActivity.java"
            line="364"
            column="84"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        IntentHandler.setTestIntentsEnabled("
        errorLine2="                      ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/app/ChromeActivity.java"
            line="754"
            column="23"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        DownloadManagerService.getDownloadManagerService().onDownloadFailed(downloadItem, reason);"
        errorLine2="                                                           ~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/ChromeDownloadDelegate.java"
            line="184"
            column="60"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mOverviewListLayout = (OverviewListLayout) mLayoutManager.getOverviewListLayout();"
        errorLine2="                                                                  ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ChromeTabbedActivity.java"
            line="797"
            column="67"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                IconProvider.getIcon(context, R.drawable.infobar_autofill_cc),"
        errorLine2="                             ~~~~~~~">
        <location
            file="../../chrome/android/features/keyboard_accessory/internal/java/src/org/chromium/chrome/browser/keyboard_accessory/sheet_tabs/CreditCardAccessorySheetCoordinator.java"
            line="37"
            column="30"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                    webappActivity.getIntentDataProvider();"
        errorLine2="                                   ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/customtabs/CustomTabDelegateFactory.java"
            line="260"
            column="36"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mConnection.cleanUpSession(sessionToken);"
        errorLine2="                    ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/customtabs/CustomTabsConnectionServiceImpl.java"
            line="104"
            column="21"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                mDownloadNotificationService.notifyDownloadPaused(entry.id, entry.fileName, true,"
        errorLine2="                                             ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/DownloadBroadcastManagerImpl.java"
            line="138"
            column="46"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                mDownloadNotificationService.notifyDownloadCanceled(entry.id, true);"
        errorLine2="                                             ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/DownloadBroadcastManagerImpl.java"
            line="144"
            column="46"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        Set&lt;String> entries = DownloadManagerService.getStoredDownloadInfo("
        errorLine2="                                                     ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/DownloadSharedPreferenceHelper.java"
            line="134"
            column="54"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            EditorTextField inputLayout = new EditorTextField("
        errorLine2="                                          ^">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/autofill/prefeditor/EditorDialog.java"
            line="504"
            column="43"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            EditText input = inputLayout.getEditText();"
        errorLine2="                                         ~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/autofill/prefeditor/EditorDialog.java"
            line="508"
            column="42"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                            ImageFetcher.resizeImage(bitmap, params.width, params.height));"
        errorLine2="                                         ~~~~~~~~~~~">
        <location
            file="../../chrome/browser/image_fetcher/android/java/src/org/chromium/chrome/browser/image_fetcher/ImageFetcherBridge.java"
            line="92"
            column="42"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                                IncognitoNotificationServiceImpl.getRemoveAllIncognitoTabsIntent("
        errorLine2="                                                                 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/incognito/IncognitoNotificationManager.java"
            line="56"
            column="66"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            ClickableSpan[] spans = getClickableSpans();"
        errorLine2="                                    ~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/infobars/android/java/src/org/chromium/components/infobars/InfoBarMessageView.java"
            line="39"
            column="37"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                assert mExternalNavHandler.canExternalAppHandleUrl(url);"
        errorLine2="                                           ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/external_intents/android/java/src/org/chromium/components/external_intents/InterceptNavigationDelegateImpl.java"
            line="139"
            column="44"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        int resId = mExternalNavHandler.canExternalAppHandleUrl(url)"
        errorLine2="                                        ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/external_intents/android/java/src/org/chromium/components/external_intents/InterceptNavigationDelegateImpl.java"
            line="283"
            column="41"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        } else if (animationsEnabled()) {"
        errorLine2="                   ~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/compositor/layouts/LayoutManagerChromePhone.java"
            line="111"
            column="20"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        boolean animate = !tabRemoved &amp;&amp; animationsEnabled();"
        errorLine2="                                         ~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/compositor/layouts/LayoutManagerChromePhone.java"
            line="130"
            column="42"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        } else if (animationsEnabled()) {"
        errorLine2="                   ~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/compositor/layouts/LayoutManagerChromePhone.java"
            line="144"
            column="20"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                    ((ChromeTabbedActivity) activity).saveState();"
        errorLine2="                                                      ~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/multiwindow/MultiInstanceManager.java"
            line="373"
            column="55"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                NavigationControllerImplJni.get().getNavigationController(tab.getNativeTab());"
        errorLine2="                                                                              ~~~~~~~~~~~~">
        <location
            file="../../weblayer/browser/java/org/chromium/weblayer_private/NavigationControllerImpl.java"
            line="35"
            column="79"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                NewTabCallbackProxyJni.get().createNewTabCallbackProxy(this, tab.getNativeTab());"
        errorLine2="                                                                                 ~~~~~~~~~~~~">
        <location
            file="../../weblayer/browser/java/org/chromium/weblayer_private/NewTabCallbackProxy.java"
            line="26"
            column="82"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                mNewTabPageLayout.getTileGroup().onSwitchToForeground(/* trackLoadTask = */ false);"
        errorLine2="                                  ~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ntp/NewTabPage.java"
            line="313"
            column="35"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        return DownloadManagerService.getStoredDownloadInfo(sharedPrefs, type);"
        errorLine2="                                      ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/OMADownloadHandler.java"
            line="902"
            column="39"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        return VersionNumberGetter.getInstance().getCurrentlyUsedVersion(getContext());"
        errorLine2="                                   ~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/omaha/OmahaBase.java"
            line="321"
            column="36"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            String appId = getRequestGenerator().getAppId();"
        errorLine2="                                                 ~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/omaha/OmahaBase.java"
            line="349"
            column="50"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                            .setAnchorView(mToolbarLayout.getOptionalButtonView())"
        errorLine2="                                                          ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/toolbar/top/OptionalBrowsingModeButtonController.java"
            line="114"
            column="59"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            mContent.destroy();"
        errorLine2="                     ~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/compositor/bottombar/OverlayPanel.java"
            line="516"
            column="22"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        if (!browserCustomizations.isInitialized()) {"
        errorLine2="                                   ~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/partnerbookmarks/PartnerBookmarksReader.java"
            line="102"
            column="36"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                IconProvider.getIcon(context, R.drawable.ic_vpn_key_grey),"
        errorLine2="                             ~~~~~~~">
        <location
            file="../../chrome/android/features/keyboard_accessory/internal/java/src/org/chromium/chrome/browser/keyboard_accessory/sheet_tabs/PasswordAccessorySheetCoordinator.java"
            line="43"
            column="30"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        getTab().setIcon(IconProvider.getIcon("
        errorLine2="                                      ~~~~~~~">
        <location
            file="../../chrome/android/features/keyboard_accessory/internal/java/src/org/chromium/chrome/browser/keyboard_accessory/sheet_tabs/PasswordAccessorySheetCoordinator.java"
            line="66"
            column="39"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        String distillerUrl = DomDistillerUrlUtils.getDistillerViewUrlFromUrl("
        errorLine2="                                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/dom_distiller/ReaderModeManager.java"
            line="470"
            column="52"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                new SettingsSecureBasedIdentificationGenerator(getContext()), false);"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/omaha/RequestGenerator.java"
            line="43"
            column="17"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                new SettingsSecureBasedIdentificationGenerator(ContextUtils.getApplicationContext())"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/rlz/RlzPingHandler.java"
            line="40"
            column="17"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mSearchBox.beginQuery(isVoiceSearchIntent(), getOptionalIntentQuery());"
        errorLine2="                   ~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/searchwidget/SearchActivity.java"
            line="334"
            column="20"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        Intent intent = getShareLinkIntent(params);"
        errorLine2="                        ~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/share/ShareHelper.java"
            line="64"
            column="25"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            ShareHelper.setLastShareComponentName(component);"
        errorLine2="                        ~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/src/org/chromium/chrome/browser/share/share_sheet/ShareSheetPropertyModelBuilder.java"
            line="212"
            column="25"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within package private scope"
        errorLine1="        SigninPreferencesManager.getInstance().setNewTabPageSigninPromoSuppressionPeriodStart("
        errorLine2="                                               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SignInPromo.java"
            line="109"
            column="48"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within package private scope"
        errorLine1="                                      .getNewTabPageSigninPromoSuppressionPeriodStart();"
        errorLine2="                                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SignInPromo.java"
            line="123"
            column="40"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within package private scope"
        errorLine1="        SigninPreferencesManager.getInstance().clearNewTabPageSigninPromoSuppressionPeriodStart();"
        errorLine2="                                               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SignInPromo.java"
            line="130"
            column="48"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                &amp;&amp; clickedTab.getVisiblePercentage() >= 1.f"
        errorLine2="                              ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/compositor/overlays/strip/StripLayoutHelper.java"
            line="802"
            column="31"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                requestId, new AwContents.VisualStateCallback() {"
        errorLine2="                               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/support_library/java/src/org/chromium/support_lib_glue/SupportLibWebViewChromium.java"
            line="50"
            column="32"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        assert AccountUtils.GOOGLE_ACCOUNT_TYPE.equals(account.type);"
        errorLine2="                            ~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/signin/core/browser/android/java/src/org/chromium/components/signin/SystemAccountManagerDelegate.java"
            line="141"
            column="29"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        getDownloadNotificationService().notifyDownloadCanceled(id, false);"
        errorLine2="                                         ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/SystemDownloadNotifier.java"
            line="122"
            column="42"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                getDownloadNotificationService().notifyDownloadProgress(info.getContentId(),"
        errorLine2="                                                 ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/SystemDownloadNotifier.java"
            line="243"
            column="50"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                getDownloadNotificationService().notifyDownloadPaused(info.getContentId(),"
        errorLine2="                                                 ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/SystemDownloadNotifier.java"
            line="251"
            column="50"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                        getDownloadNotificationService().notifyDownloadSuccessful("
        errorLine2="                                                         ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/SystemDownloadNotifier.java"
            line="258"
            column="58"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                getDownloadNotificationService().notifyDownloadFailed(info.getContentId(),"
        errorLine2="                                                 ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/SystemDownloadNotifier.java"
            line="273"
            column="50"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                getDownloadNotificationService().notifyDownloadPaused(info.getContentId(),"
        errorLine2="                                                 ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/SystemDownloadNotifier.java"
            line="278"
            column="50"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mTileRenderer.renderTileSection(tiles, mSectionView, mTileGroup.getTileSetupDelegate());"
        errorLine2="                                                                        ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/suggestions/tile/TileGridViewHolder.java"
            line="34"
            column="73"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                                != mTabSwitcherAnimationTabStackDrawable.getTabCount();"
        errorLine2="                                                                         ~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/toolbar/top/ToolbarPhone.java"
            line="1534"
            column="74"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        return mToolbarLayout.getLocationBar();"
        errorLine2="                              ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/toolbar/top/TopToolbarCoordinator.java"
            line="590"
            column="31"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                        VersionNumberGetter.getInstance().getLatestKnownVersion(context);"
        errorLine2="                                            ~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/omaha/UpdateStatusProvider.java"
            line="423"
            column="45"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        mWebApkUpdateManager.get().updateIfNeeded(storage, mActivity.getIntentDataProvider());"
        errorLine2="                                                                     ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/webapps/WebApkActivityCoordinator.java"
            line="56"
            column="70"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                requestId, callback == null ? null : new AwContents.VisualStateCallback() {"
        errorLine2="                                                         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/glue/java/src/com/android/webview/chromium/WebViewChromium.java"
            line="972"
            column="58"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                mAwContents.getWebContents()));"
        errorLine2="                            ~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/glue/java/src/com/android/webview/chromium/WebViewChromium.java"
            line="1828"
            column="29"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="            WebappExtras webappExtras = customTabActivity.getIntentDataProvider().getWebappExtras();"
        errorLine2="                                                          ~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/webapps/WebappLocator.java"
            line="44"
            column="59"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        list.add(new StorageInfo(host, type, size));"
        errorLine2="                 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/site_settings/android/java/src/org/chromium/components/browser_ui/site_settings/WebsitePreferenceBridge.java"
            line="70"
            column="18"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="                .put(origin, new LocalStorageInfo(origin, size, important));"
        errorLine2="                             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/site_settings/android/java/src/org/chromium/components/browser_ui/site_settings/WebsitePreferenceBridge.java"
            line="88"
            column="30"/>
    </issue>

    <issue
        id="VisibleForTests"
        message="This method should only be accessed from tests or within private scope"
        errorLine1="        list.add(new ChosenObjectInfo("
        errorLine2="                 ^">
        <location
            file="../../components/browser_ui/site_settings/android/java/src/org/chromium/components/browser_ui/site_settings/WebsitePreferenceBridge.java"
            line="143"
            column="18"/>
    </issue>

    <issue
        id="UseAppTint"
        message="Must use `app:tint` instead of `android:tint`"
        errorLine1="        android:tint=&quot;@color/default_icon_color_blue&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/messages/android/java/res/layout/message_banner_view.xml"
            line="31"
            column="9"/>
    </issue>

    <issue
        id="UseAppTint"
        message="Must use `app:tint` instead of `android:tint`"
        errorLine1="        android:tint=&quot;@color/default_icon_color_secondary&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/messages/android/java/res/layout/message_banner_view.xml"
            line="60"
            column="9"/>
    </issue>

    <issue
        id="UseAppTint"
        message="Must use `app:tint` instead of `android:tint`"
        errorLine1="            android:tint=&quot;@color/photo_picker_tile_bg_color&quot; />"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/res/layout/photo_picker_bitmap_view.xml"
            line="109"
            column="13"/>
    </issue>

    <issue
        id="UseAppTint"
        message="Must use `app:tint` instead of `android:tint`"
        errorLine1="            android:tint=&quot;@color/default_icon_color&quot;"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/search_widget_template.xml"
            line="42"
            column="13"/>
    </issue>

    <issue
        id="UseAppTint"
        message="Must use `app:tint` instead of `android:tint`"
        errorLine1="                android:tint=&quot;@color/ungroup_bar_shadow_color&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/features/tab_ui/java/res/layout/tab_grid_dialog_layout.xml"
            line="35"
            column="17"/>
    </issue>

    <issue
        id="UseAppTint"
        message="Must use `app:tint` instead of `android:tint`"
        errorLine1="            android:tint=&quot;@color/default_icon_color&quot;"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/tab_switcher_toolbar.xml"
            line="28"
            column="13"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ResourcesCompat.getDrawable()`"
        errorLine1="                return res.getDrawable(id, null);"
        errorLine2="                       ~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../base/android/java/src/org/chromium/base/ApiCompatibilityUtils.java"
            line="364"
            column="24"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ResourcesCompat.getDrawable()`"
        errorLine1="                context.getResources().getDrawable(R.drawable.autofill_assistant_actions_gradient);"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/features/autofill_assistant/java/src/org/chromium/chrome/browser/autofill_assistant/carousel/AssistantActionsDecoration.java"
            line="85"
            column="17"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ResourcesCompat.getDrawable()`"
        errorLine1="            mDefaultImage = (GradientDrawable) context.getResources().getDrawable("
        errorLine2="                                               ^">
        <location
            file="../../chrome/android/features/autofill_assistant/java/src/org/chromium/chrome/browser/autofill_assistant/details/AssistantDetailsViewBinder.java"
            line="73"
            column="48"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ResourcesCompat.getDrawable()`"
        errorLine1="            cardIssuerImageView.setImageDrawable(view.getContext().getResources().getDrawable("
        errorLine2="                                                 ^">
        <location
            file="../../chrome/android/features/autofill_assistant/java/src/org/chromium/chrome/browser/autofill_assistant/user_data/AssistantPaymentMethodSection.java"
            line="103"
            column="50"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ResourcesCompat.getDrawable()`"
        errorLine1="            Drawable mInlineTitleIcon = resources.getDrawable(googlePayDrawableId);"
        errorLine2="                                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/autofill/CardUnmaskPrompt.java"
            line="195"
            column="41"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ResourcesCompat.getDrawable()`"
        errorLine1="        Drawable clearTextIcon = getResources().getDrawable(R.drawable.ic_clear_text);"
        errorLine2="                                 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/nonembedded/java/src/org/chromium/android_webview/devui/FlagsFragment.java"
            line="152"
            column="34"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ContextCompat.getDrawable()`"
        errorLine1="            final Drawable statusIcon = mContext.getDrawable(R.drawable.ic_cloud_offline_24dp);"
        errorLine2="                                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/offlinepages/indicator/OfflineIndicatorControllerV2.java"
            line="124"
            column="41"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ContextCompat.getDrawable()`"
        errorLine1="            final Drawable statusIcon = mContext.getDrawable(R.drawable.ic_globe_24dp);"
        errorLine2="                                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/offlinepages/indicator/OfflineIndicatorControllerV2.java"
            line="150"
            column="41"/>
    </issue>

    <issue
        id="UseCompatLoadingForDrawables"
        message="Use `ContextCompat.getDrawable()`"
        errorLine1="                view.setForeground(view.getContext().getDrawable(R.drawable.piet_clickable_ripple));"
        errorLine2="                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/feed/core/java/src/org/chromium/chrome/browser/feed/library/piet/ViewUtils.java"
            line="60"
            column="36"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTopCompat` instead of `android:drawableTop`"
        errorLine1="            android:drawableTop=&quot;@drawable/ic_action_home&quot;"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/nonembedded/java/res_devui/layout/activity_main.xml"
            line="50"
            column="13"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTopCompat` instead of `android:drawableTop`"
        errorLine1="            android:drawableTop=&quot;@drawable/ic_alert_error&quot;"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/nonembedded/java/res_devui/layout/activity_main.xml"
            line="60"
            column="13"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTopCompat` instead of `android:drawableTop`"
        errorLine1="            android:drawableTop=&quot;@drawable/ic_flag&quot;"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/nonembedded/java/res_devui/layout/activity_main.xml"
            line="70"
            column="13"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableEndCompat` instead of `android:drawableEnd`"
        errorLine1="                android:drawableEnd=&quot;@drawable/data_reduction_breakdown_sort_arrow&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/data_usage_breakdown.xml"
            line="48"
            column="17"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableStartCompat` instead of `android:drawableStart`"
        errorLine1="                android:drawableStart=&quot;@drawable/data_reduction_breakdown_sort_arrow&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/data_usage_breakdown.xml"
            line="58"
            column="17"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableStartCompat` instead of `android:drawableStart`"
        errorLine1="                android:drawableStart=&quot;@drawable/data_reduction_breakdown_sort_arrow&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/data_usage_breakdown.xml"
            line="69"
            column="17"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableEndCompat` instead of `android:drawableEnd`"
        errorLine1="    android:drawableEnd=&quot;@drawable/exclamation_triangle&quot;"
        errorLine2="    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/os_version_unsupported_text.xml"
            line="15"
            column="5"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableStartCompat` instead of `android:drawableStart`"
        errorLine1="        android:drawableStart=&quot;@drawable/ic_alert_error&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/nonembedded/java/res_devui/layout/persistent_error_message.xml"
            line="26"
            column="9"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableStartCompat` instead of `android:drawableStart`"
        errorLine1="        android:drawableStart=&quot;@drawable/ic_error&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/qrcode_camera_error_layout.xml"
            line="27"
            column="9"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTopCompat` instead of `android:drawableTop`"
        errorLine1="                    android:drawableTop=&quot;@drawable/edit_icon&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="49"
            column="21"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTint` instead of `android:drawableTint`"
        errorLine1="                    android:drawableTint=&quot;@color/default_icon_color_tint_list&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="50"
            column="21"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTopCompat` instead of `android:drawableTop`"
        errorLine1="                    android:drawableTop=&quot;@drawable/delete_icon&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="60"
            column="21"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTint` instead of `android:drawableTint`"
        errorLine1="                    android:drawableTint=&quot;@color/default_icon_color_tint_list&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="61"
            column="21"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTopCompat` instead of `android:drawableTop`"
        errorLine1="                    android:drawableTop=&quot;@drawable/save_icon&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="71"
            column="21"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTint` instead of `android:drawableTint`"
        errorLine1="                    android:drawableTint=&quot;@color/default_icon_color_tint_list&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="72"
            column="21"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTopCompat` instead of `android:drawableTop`"
        errorLine1="                    android:drawableTop=&quot;@drawable/share_icon&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="82"
            column="21"/>
    </issue>

    <issue
        id="UseCompatTextViewDrawableXml"
        message="Use `app:drawableTint` instead of `android:drawableTint`"
        errorLine1="                    android:drawableTint=&quot;@color/default_icon_color_tint_list&quot;"
        errorLine2="                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/screenshot_share_sheet.xml"
            line="83"
            column="21"/>
    </issue>

    <issue
        id="UseCompoundDrawables"
        message="This tag and its children can be replaced by one `&lt;TextView/>` and a compound drawable"
        errorLine1="        &lt;LinearLayout"
        errorLine2="         ~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/res/layout/photo_picker_bitmap_view.xml"
            line="37"
            column="10"/>
    </issue>

    <issue
        id="UseCompoundDrawables"
        message="This tag and its children can be replaced by one `&lt;TextView/>` and a compound drawable"
        errorLine1="    &lt;LinearLayout"
        errorLine2="     ~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/res/layout/photo_picker_bitmap_view.xml"
            line="94"
            column="6"/>
    </issue>

    <issue
        id="UseCompoundDrawables"
        message="This tag and its children can be replaced by one `&lt;TextView/>` and a compound drawable"
        errorLine1="  &lt;LinearLayout"
        errorLine2="   ~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/share/android/java/res/layout/qrcode_camera_error_layout.xml"
            line="11"
            column="4"/>
    </issue>

    <issue
        id="MergeRootFrame"
        message="This `&lt;FrameLayout>` can be replaced with a `&lt;merge>` tag"
        errorLine1="&lt;FrameLayout"
        errorLine2="^">
        <location
            file="../../chrome/android/feed/core/java/resv1/layout/feed_more_button.xml"
            line="7"
            column="1"/>
    </issue>

    <issue
        id="MergeRootFrame"
        message="This `&lt;FrameLayout>` can be replaced with a `&lt;merge>` tag"
        errorLine1="&lt;FrameLayout"
        errorLine2="^">
        <location
            file="../../chrome/android/java/res/layout/signin_activity.xml"
            line="5"
            column="1"/>
    </issue>

    <issue
        id="UseSparseArrays"
        message="Use `new SparseBooleanArray(...)` instead for better performance"
        errorLine1="        mGroupsCollapsedState = new SparseArray&lt;>();"
        errorLine2="                                ~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/omnibox/suggestions/DropdownItemViewInfoListManager.java"
            line="35"
            column="33"/>
    </issue>

    <issue
        id="UsableSpace"
        message="Consider also using `StorageManager#getAllocatableBytes` and `allocateBytes` which will consider clearable cached data"
        errorLine1="                    dir.getAbsolutePath(), dir.getUsableSpace(), dir.getTotalSpace(), type);"
        errorLine2="                                               ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/download/android/java/src/org/chromium/chrome/browser/download/DownloadDirectoryProvider.java"
            line="152"
            column="48"/>
    </issue>

    <issue
        id="UsableSpace"
        message="Consider also using `StorageManager#getAllocatableBytes` and `allocateBytes` which will consider clearable cached data"
        errorLine1="            mFreeSpace = Environment.getExternalStorageDirectory().getUsableSpace();"
        errorLine2="                                                                   ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/download/OMADownloadHandler.java"
            line="317"
            column="68"/>
    </issue>

    <issue
        id="UsableSpace"
        message="Consider also using `StorageManager#getAllocatableBytes` and `allocateBytes` which will consider clearable cached data"
        errorLine1="        return Environment.getDataDirectory().getUsableSpace();"
        errorLine2="                                              ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/offlinepages/OfflinePageUtils.java"
            line="240"
            column="47"/>
    </issue>

    <issue
        id="UsableSpace"
        message="Consider also using `StorageManager#getAllocatableBytes` and `allocateBytes` which will consider clearable cached data"
        errorLine1="                        defaultDownloadDir.getAbsolutePath(), defaultDownloadDir.getUsableSpace(),"
        errorLine2="                                                                                 ~~~~~~~~~~~~~~">
        <location
            file="../../chrome/browser/download/internal/android/java/src/org/chromium/chrome/browser/download/home/storage/StorageSummaryProvider.java"
            line="86"
            column="82"/>
    </issue>

    <issue
        id="Autofill"
        message="Missing `autofillHints` attribute"
        errorLine1="        &lt;EditText"
        errorLine2="         ~~~~~~~~">
        <location
            file="../../android_webview/nonembedded/java/res_devui/layout/fragment_flags.xml"
            line="25"
            column="10"/>
    </issue>

    <issue
        id="Autofill"
        message="Missing `autofillHints` attribute"
        errorLine1="            &lt;EditText"
        errorLine2="             ~~~~~~~~">
        <location
            file="../../chrome/browser/password_check/android/java/res/layout/password_check_edit_fragment.xml"
            line="31"
            column="14"/>
    </issue>

    <issue
        id="Autofill"
        message="Missing `autofillHints` attribute"
        errorLine1="            &lt;EditText"
        errorLine2="             ~~~~~~~~">
        <location
            file="../../chrome/browser/password_check/android/java/res/layout/password_check_edit_fragment.xml"
            line="52"
            column="14"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `AccessibilityTabModelListItem` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent e) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/accessibility_tab_switcher/AccessibilityTabModelListItem.java"
            line="458"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` lambda should call `View#performClick` when a click is detected"
        errorLine1="            row.setDragHandleOnTouchListener((v, event) -> {"
        errorLine2="                                             ^">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java"
            line="216"
            column="46"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``ImageView`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="        mDragHandle.setOnTouchListener(l);"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkRow.java"
            line="283"
            column="9"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `BottomSheet` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent e) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/android/bottomsheet/internal/java/src/org/chromium/components/browser_ui/bottomsheet/BottomSheet.java"
            line="278"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``TextView`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="                textView.setOnTouchListener(new ChunkedTextTouchListener(spannable));"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/feed/core/java/src/org/chromium/chrome/browser/feed/library/piet/ChunkedTextElementAdapter.java"
            line="159"
            column="17"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`ChunkedTextTouchListener#onTouch` should call `View#performClick` when a click is detected"
        errorLine1="        public boolean onTouch(View widget, MotionEvent event) {"
        errorLine2="                       ~~~~~~~">
        <location
            file="../../chrome/android/feed/core/java/src/org/chromium/chrome/browser/feed/library/piet/ChunkedTextElementAdapter.java"
            line="383"
            column="24"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``TextView`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="        textView.setOnTouchListener((View v, MotionEvent event) -> {"
        errorLine2="        ^">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/browsing_data/ClearBrowsingDataCheckBoxPreference.java"
            line="54"
            column="9"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` lambda should call `View#performClick` when a click is detected"
        errorLine1="        textView.setOnTouchListener((View v, MotionEvent event) -> {"
        errorLine2="                                    ^">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/browsing_data/ClearBrowsingDataCheckBoxPreference.java"
            line="54"
            column="37"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `CompositorViewHolder` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent e) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/compositor/CompositorViewHolder.java"
            line="661"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `ContentView` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../components/embedder_support/android/java/src/org/chromium/components/embedder_support/view/ContentView.java"
            line="333"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``ImageButton`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="        menuBtn.setOnTouchListener(menuPopupButtonHelper);"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/ui/tablet/emptybackground/EmptyBackgroundViewTablet.java"
            line="98"
            column="9"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``EditText`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="            editText.setOnTouchListener((View v, MotionEvent event) -> {"
        errorLine2="            ^">
        <location
            file="../../android_webview/nonembedded/java/src/org/chromium/android_webview/devui/FlagsFragment.java"
            line="165"
            column="13"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` lambda should call `View#performClick` when a click is detected"
        errorLine1="            editText.setOnTouchListener((View v, MotionEvent event) -> {"
        errorLine2="                                        ^">
        <location
            file="../../android_webview/nonembedded/java/src/org/chromium/android_webview/devui/FlagsFragment.java"
            line="165"
            column="41"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``EditText`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="            editText.setOnTouchListener(null);"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../android_webview/nonembedded/java/src/org/chromium/android_webview/devui/FlagsFragment.java"
            line="180"
            column="13"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `FullScreenView` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(final MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../android_webview/java/src/org/chromium/android_webview/FullScreenView.java"
            line="91"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `InfoBarMessageView` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../components/infobars/android/java/src/org/chromium/components/infobars/InfoBarMessageView.java"
            line="32"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``ImageView`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="        holder.mStartIcon.setOnTouchListener((v, event) -> {"
        errorLine2="        ^">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/language/settings/LanguageListBaseAdapter.java"
            line="173"
            column="9"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` lambda should call `View#performClick` when a click is detected"
        errorLine1="        holder.mStartIcon.setOnTouchListener((v, event) -> {"
        errorLine2="                                             ^">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/language/settings/LanguageListBaseAdapter.java"
            line="173"
            column="46"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `LocationBarTablet` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/omnibox/LocationBarTablet.java"
            line="139"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``ImageButton`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="        mMenuImageButton.setOnTouchListener(mAppMenuButtonHelper);"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/toolbar/menu_button/MenuButton.java"
            line="77"
            column="9"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` lambda should call `View#performClick` when a click is detected"
        errorLine1="        View.OnTouchListener onTouchListener = (View v, MotionEvent ev) -> {"
        errorLine2="                                               ^">
        <location
            file="../../components/browser_ui/modaldialog/android/java/src/org/chromium/components/browser_ui/modaldialog/ModalDialogView.java"
            line="206"
            column="48"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``Button`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="        positiveButton.setOnTouchListener(onTouchListener);"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/modaldialog/android/java/src/org/chromium/components/browser_ui/modaldialog/ModalDialogView.java"
            line="236"
            column="9"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view ``Button`` has `setOnTouchListener` called on it but does not override `performClick`"
        errorLine1="        negativeButton.setOnTouchListener(onTouchListener);"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/modaldialog/android/java/src/org/chromium/components/browser_ui/modaldialog/ModalDialogView.java"
            line="238"
            column="9"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `NoSwipeViewPager` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../chrome/android/features/keyboard_accessory/internal/java/src/org/chromium/chrome/browser/keyboard_accessory/sheet_component/NoSwipeViewPager.java"
            line="24"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` should call `View#performClick` when a click is detected"
        errorLine1="            public boolean onTouch(View v, MotionEvent event) {"
        errorLine2="                           ~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/src/org/chromium/components/browser_ui/photo_picker/PickerVideoPlayer.java"
            line="230"
            column="28"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `PlayerFrameView` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../components/paint_preview/player/android/java/src/org/chromium/components/paintpreview/player/frame/PlayerFrameView.java"
            line="107"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `ScrimView` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent e) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/widget/android/java/src/org/chromium/components/browser_ui/widget/scrim/ScrimView.java"
            line="79"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` lambda should call `View#performClick` when a click is detected"
        errorLine1="        mEmptyViewWrapper.setOnTouchListener((v, event) -> true);"
        errorLine2="                                             ~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/widget/android/java/src/org/chromium/components/browser_ui/widget/selectable_list/SelectableListLayout.java"
            line="241"
            column="46"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `ToolbarControlContainer` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/toolbar/top/ToolbarControlContainer.java"
            line="261"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `ToolbarPhone` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent ev) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/src/org/chromium/chrome/browser/toolbar/top/ToolbarPhone.java"
            line="487"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="Custom view `TouchRestrictingFrameLayout` overrides `onTouchEvent` but not `performClick`"
        errorLine1="    public boolean onTouchEvent(MotionEvent event) {"
        errorLine2="                   ~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/android/bottomsheet/internal/java/src/org/chromium/components/browser_ui/bottomsheet/TouchRestrictingFrameLayout.java"
            line="46"
            column="20"/>
    </issue>

    <issue
        id="ClickableViewAccessibility"
        message="`onTouch` should call `View#performClick` when a click is detected"
        errorLine1="            public boolean onTouch(View view, MotionEvent event) {"
        errorLine2="                           ~~~~~~~">
        <location
            file="../../weblayer/browser/java/org/chromium/weblayer_private/WebContentsGestureStateTracker.java"
            line="48"
            column="28"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="    android:clickable=&quot;true&quot;"
        errorLine2="    ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/features/autofill_assistant/java/res/layout/autofill_assistant_bottom_sheet_content.xml"
            line="8"
            column="5"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="                android:clickable=&quot;true&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/contacts_picker/android/java/res/layout/contacts_list_item_view.xml"
            line="49"
            column="17"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="                android:clickable=&quot;true&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/contacts_picker/android/java/res/layout/contacts_list_item_view.xml"
            line="73"
            column="17"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="                android:clickable=&quot;true&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/contacts_picker/android/java/res/layout/contacts_list_item_view.xml"
            line="97"
            column="17"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="        android:clickable=&quot;true&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/languages_preference.xml"
            line="32"
            column="9"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="        android:clickable=&quot;true&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/res/layout/photo_picker_dialog.xml"
            line="38"
            column="9"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="            android:clickable=&quot;true&quot; >"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/search_activity.xml"
            line="28"
            column="13"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="    android:clickable=&quot;true&quot;"
        errorLine2="    ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/start_top_toolbar.xml"
            line="13"
            column="5"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="    android:clickable=&quot;true&quot; >"
        errorLine2="    ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../chrome/android/java/res/layout/tab_switcher_toolbar.xml"
            line="12"
            column="5"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="        android:clickable=&quot;true&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/res/layout/video_player.xml"
            line="37"
            column="9"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="                android:clickable=&quot;true&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/res/layout/video_player.xml"
            line="99"
            column="17"/>
    </issue>

    <issue
        id="KeyboardInaccessibleWidget"
        message="&apos;clickable&apos; attribute found, please also add &apos;focusable&apos;"
        errorLine1="                android:clickable=&quot;true&quot;"
        errorLine2="                ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="../../components/browser_ui/photo_picker/android/java/res/layout/video_player.xml"
            line="124"
            column="17"/>
    </issue>

</issues>
